Bug 472837 - Dynamic Provisioning - Problems specifying disk usage
Dynamic Provisioning - Problems specifying disk usage
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid (Show other bugs)
1.0
All Linux
medium Severity medium
: 1.1
: ---
Assigned To: Matthew Farrellee
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-24 18:19 EST by Robert Rati
Modified: 2009-02-04 11:05 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 11:05:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2008-11-24 18:19:17 EST
Description of problem:
Submitting:
universe = vanilla
executable = /bin/sleep
arguments = 3m
transfer_executable = false
should_transfer_files = if_needed
when_to_transfer_output = on_exit
notification = error
getenv = false
requirements = Machine == "north-13.lab.bos.redhat.com"
request_disk = 44446845
priority = 100
queue 10

Won't run.  When looking at STartLog with D_JOB and D_MACHINE, I see:
<only relevant info>
REQ_CLASSAD: RequestDisk = 44446845
MACHINE_CLASSAD:Disk = 44446744

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matthew Farrellee 2008-11-24 20:04:29 EST
Issue was a lack of ceil() when calculating disk %.

A more complete solution would be to allow disk=# (instead of a faction or %) when creating slots.

This is fixed in 7.2.0-0.5
Comment 2 Robert Rati 2008-11-24 21:01:06 EST
TotalDisk = 138896076
Comment 3 Robert Rati 2008-11-25 10:25:37 EST
Jobs are now scheduled correctly when disk constraints are used.
Comment 5 errata-xmlrpc 2009-02-04 11:05:44 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0036.html

Note You need to log in before you can comment on or make changes to this bug.